<?php
/**
 * @category   Horde
 * @package    Http
 * @subpackage UnitTests
 * @copyright  2007-2009 The Horde Project (http://www.horde.org/)
 * @license    http://opensource.org/licenses/bsd-license.php
 */

/**
 * @group      support
 * @category   Horde
 * @package    Http
 * @subpackage UnitTests
 * @copyright  2007-2009 The Horde Project (http://www.horde.org/)
 * @license    http://opensource.org/licenses/bsd-license.php
 */
class Horde_Http_FopenTest extends PHPUnit_Framework_TestCase
{
    public function testThrowsOnBadUri()
    {
        $client = new Horde_Http_Client(array('request' => new Horde_Http_Request_Fopen()));
        try {
            $response = $client->get('http://doesntexist/');
            $this->fail();
        } catch (Horde_Http_Exception $e) {
        }
    }

    public function testReturnsResponseInsteadOfExceptionOn404()
    {
        $this->markTestIncomplete('This does not work if we are disconnected from the network. Needs fixing!');
        $client = new Horde_Http_Client(array('request' => new Horde_Http_Request_Fopen()));
        $response = $client->get('http://example.com/doesntexist');
        $this->assertEquals(404, $response->code);
    }
}
